跳至內容

LTX 2.5 Pro Text to Video

整合

模型 id lightricks/ltx-2.5/text-to-video/pro
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.72 720 API 點數 · ≈ ₽77.27 在此頁面執行

取得 API 金鑰
Lightricks 文字轉影片 原生音訊6–10 秒最高 1080p #audio#camera-control#50fps

Lightricks 的 LTX 2.5 Pro,產生 6 至 10 秒含音訊的片段,支援具名攝影機運動,最高 1080p、50 fps。

範例

輸出 · ~51 秒

提示詞Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.

6 s720p16:9generate_audio: false$0.72 · 720 API 點數

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 210 / 5000

引導影片生成的提示詞。

duration 6 s

影片長度選擇:指定以秒表示的時長,或選擇 'auto' 讓模型決定。最長時長為 10 秒。

resolution

輸出影片使用的解析度。

aspect_ratio

輸出影片的寬高比。

camera_motion

輸出影片的可選攝影機移動。

進階 fps
fps 預設 25

輸出影片影格率,以每秒影格數表示。

POST /run/lightricks/ltx-2.5/text-to-video/pro?wait=20 報價 → $0.72
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightricks/ltx-2.5/text-to-video/pro?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Slow aerial drone shot gliding over a turquoise glacier lagoon at sunrise, floating icebergs below, the camera tilts up to reveal snow-capped peaks and drifting clouds, smooth continuous motion, natural colors.",
    "duration": 6,
    "resolution": "720p",
    "aspect_ratio": "16:9",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 LTX 2.5 Pro Text to Video

LTX 2.5 Pro 產生清晰的 720p 或 1080p 影片並加入產生的音訊,還可選擇具名的攝影機運動,而不必自行描述(dolly in 或 out、sideways dolly、jib up 或 down、static、focus shift)。長度可為 6、8 或 10 秒,或自動決定;影格率可為 24、25 或 50 fps;方向可為橫向或直向。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 5,000 個字元
引導影片生成的提示詞。
duration選填
類型enum
預設值auto
6810auto
影片長度選擇:指定以秒表示的時長,或選擇 'auto' 讓模型決定。最長時長為 10 秒。
resolution選填
類型enum
預設值1080p
720p1080p
輸出影片使用的解析度。
aspect_ratio選填
類型enum
預設值16:9
16:99:16
輸出影片的寬高比。
fps選填
類型enum
預設值25
242550
輸出影片影格率,以每秒影格數表示。
generate_audio選填
類型boolean
預設值true
輸出影片的音訊生成切換鈕。
camera_motion選填
類型enum
dolly_indolly_outdolly_leftdolly_rightjib_upjib_downstaticfocus_shift
輸出影片的可選攝影機移動。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightricks/ltx-2.5/text-to-video/pro",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 720,
    "usd": "0.72",
    "charged": 720,
    "refunded": 0
  },
  "input": {
    "prompt": "Through a sheer red veil, a bride smiles as marigold petals fall around her, warm evening light",
    "duration": 6,
    "resolution": "1080p",
    "camera_motion": "dolly_in"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}結果影片檔案。

更多模型:文字轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/lightricks/ltx-2.5/text-to-video/pro.md. 所有模型與指南: https://doitong.com/developers/llms.txt